All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
global_variables.cpp File Reference
`#include <iostream>`
`#include <algorithm>`
`#include <cmath>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/hyb_matrix.hpp"`

Go to the source code of this file.

## Functions

int | main ()

## Variables

viennacl::scalar< float > | s1
viennacl::scalar< int > | s2
viennacl::vector< float > | v1
viennacl::vector< int > | v2
viennacl::matrix< float > | m1

## Detailed Description

Ensures that ViennaCL works properly when objects are used as global variables.

Test:
  Ensures that ViennaCL works properly when objects are used as global variables.

Definition in file global_variables.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 71 of file global_variables.cpp.

## Variable Documentation

viennacl::matrix< float > m1

Definition at line 63 of file global_variables.cpp.

viennacl::scalar< float > s1

Examples:
  blas1.cpp.

Definition at line 57 of file global_variables.cpp.

viennacl::scalar< int > s2

Examples:
  blas1.cpp.

Definition at line 58 of file global_variables.cpp.

viennacl::vector< float > v1

Definition at line 60 of file global_variables.cpp.

viennacl::vector< int > v2

Definition at line 61 of file global_variables.cpp.